Package com.smartgwt.client.widgets.calendar

# Class EventCanvas

java.lang.Object
com.google.gwt.user.client.ui.UIObject
com.google.gwt.user.client.ui.Widget
com.smartgwt.client.widgets.BaseWidget
com.smartgwt.client.widgets.Canvas
com.smartgwt.client.widgets.layout.Layout
com.smartgwt.client.widgets.layout.VLayout
com.smartgwt.client.widgets.calendar.EventCanvas

All Implemented Interfaces:
  `HasAttachHandlers`, `HasHandlers`, `EventListener`, `HasVisibility`, `IsWidget`, `LogicalStructure`, `HasClearHandlers`, `HasClickHandlers`, `HasDoubleClickHandlers`, `HasDragMoveHandlers`, `HasDragRepositionMoveHandlers`, `HasDragRepositionStartHandlers`, `HasDragRepositionStopHandlers`, `HasDragResizeMoveHandlers`, `HasDragResizeStartHandlers`, `HasDragResizeStopHandlers`, `HasDragStartHandlers`, `HasDragStopHandlers`, `HasDropHandlers`, `HasDropMoveHandlers`, `HasDropOutHandlers`, `HasDropOverHandlers`, `HasFocusChangedHandlers`, `HasHoverHandlers`, `HasHoverHiddenHandlers`, `HasKeyDownHandlers`, `HasKeyPressHandlers`, `HasMouseDownHandlers`, `HasMouseMoveHandlers`, `HasMouseOutHandlers`, `HasMouseOverHandlers`, `HasMouseStillDownHandlers`, `HasMouseUpHandlers`, `HasMouseWheelHandlers`, `HasMovedHandlers`, `HasParentMovedHandlers`, `HasResizedHandlers`, `HasRightMouseDownHandlers`, `HasRuleContextChangedHandlers`, `HasScrolledHandlers`, `HasShowContextMenuHandlers`, `HasVisibilityChangedHandlers`, `HasMembersChangedHandlers`

Direct Known Subclasses:
  `IndicatorCanvas`, `ZoneCanvas`

public class EventCanvas extends VLayout
The EventCanvas component is a lightweight `layout` subclass for displaying a `CalendarEvent` in a `CalendarView`.

Each instance can be `styled`, and can render a single area, or separate `header` and `body` areas, for the look of a Window.

The component's close and context buttons, and any necessary resizers, are shown on `rollover`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

  `UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.widgets.BaseWidget

  `config, configOnly, factoryCreated, factoryProperties, id, nativeObject, scClassName`

  ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

  `DEBUG_ID_PREFIX`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventCanvas()`
  `EventCanvas(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `changeAutoChildDefaults(String autoChildName, Canvas defaults)`
  Changes the defaults for Canvas AutoChildren named `autoChildName`.
  `static void`
  `changeAutoChildDefaults(String autoChildName, FormItem defaults)`
  Changes the defaults for FormItem AutoChildren named `autoChildName`.
  `protected JavaScriptObject`
  `create()`
  `String`
  `getBodyHTML()`
  Return the HTML to show in the body of this EventCanvas.
  `String`
  `getBodyStyle()`
  CSS class for the `body area` of the EventCanvas.
  `Calendar`
  `getCalendar()`
  The `Calendar` in which this EventCanvas is being rendered.
  `CalendarView`
  `getCalendarView()`
  The `CalendarView` in which this EventCanvas is being rendered.
  `Boolean`
  `getEscapeHTML()`
  When set to true, escapes the HTML displayed in this EventCanvas and it's hover.
  `CalendarEvent`
  `getEvent()`
  The `event` associated with this EventCanvas.
  `Img`
  `getGripper()`
  When `showGripper` is true, this is the component that will be rendered adjacent to the canvas and allow the canvas to be moved with the mouse.
  `String`
  `getGripperIcon()`
  The source for the icon displayed as the "gripper" that snaps to the top of an event canvas and allows an event to be dragged with the mouse.
  `Integer`
  `getHeaderHeight()`
  The height for the `header area`, when `headerWrap` is false and `showBody` is true.
  `String`
  `getHeaderHTML()`
  Returns the HTML to show in the header of this EventCanvas.
  `String`
  `getHeaderStyle()`
  CSS class for the `header area` of the EventCanvas.
  `Boolean`
  `getHeaderWrap()`
  Whether the `header area` should autosize vertically to display all contents.
  `boolean`
  `getIsIndicatorCanvas()`
  Readonly property dictating whether this is a special `IndicatorCanvas` subclass.
  `boolean`
  `getIsZoneCanvas()`
  Readonly property indicating whether this is a special `ZoneCanvas` subclass.
  `Label`
  `getLabel()`
  When `showLabel` is true, this autoChild is used to display the `header text`, adjacent to this eventCanvas.
  `LogicalStructureObject`
  `getLogicalStructure()`
  Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
  `static EventCanvas`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `Boolean`
  `getShowBody()`
  Renders a body DIV that fills the main area of the canvas, or all of it if no `header` is shown.
  `Boolean`
  `getShowContextButton()`
  When set to true, shows a `small icon` in the top corner of an EventCanvas, beside the `close-icon`.
  `Boolean`
  `getShowGripper()`
  When set to true, shows the `gripper` component, which snaps, centered, to the top edge of the eventCanvas and can be used to move it with the mouse.
  `Boolean`
  `getShowHeader()`
  Renders a header DIV above the main body of the event, an area of limited height, styled to stand out from the main `body` of the event, and typically showing a `name` or title - like a Window.
  `Boolean`
  `getShowLabel()`
  When set to true, the `header text` for the associated event is not rendered inside the eventCanvas itself.
  `Boolean`
  `getShowRolloverControls()`
  When set to the default value of true, this attribute causes a set of components to be shown when the mouse rolls over this EventCanvas.
  `String`
  `getStyleName()`
  The CSS class for this EventCanvas.
  `Boolean`
  `getVerticalResize()`
  Indicates the orientation of the event in its containing view.
  `EventCanvas`
  `setBodyStyle(String bodyStyle)`
  CSS class for the `body area` of the EventCanvas.
  `EventCanvas`
  `setCalendar(Calendar calendar)`
  The `Calendar` in which this EventCanvas is being rendered.
  `EventCanvas`
  `setCalendarView(CalendarView calendarView)`
  The `CalendarView` in which this EventCanvas is being rendered.
  `static void`
  `setDefaultProperties(EventCanvas eventCanvasProperties)`
  Class level method to set the default properties of this class.
  `EventCanvas`
  `setEscapeHTML(Boolean escapeHTML)`
  When set to true, escapes the HTML displayed in this EventCanvas and it's hover.
  `EventCanvas`
  `setEvent(CalendarEvent event)`
  The `event` associated with this EventCanvas.
  `EventCanvas`
  `setGripperIcon(String gripperIcon)`
  The source for the icon displayed as the "gripper" that snaps to the top of an event canvas and allows an event to be dragged with the mouse.
  `EventCanvas`
  `setHeaderHeight(Integer headerHeight)`
  The height for the `header area`, when `headerWrap` is false and `showBody` is true.
  `EventCanvas`
  `setHeaderStyle(String headerStyle)`
  CSS class for the `header area` of the EventCanvas.
  `EventCanvas`
  `setHeaderWrap(Boolean headerWrap)`
  Whether the `header area` should autosize vertically to display all contents.
  `LogicalStructureObject`
  `setLogicalStructure(EventCanvasLogicalStructure s)`
  Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
  `EventCanvas`
  `setShowBody(Boolean showBody)`
  Renders a body DIV that fills the main area of the canvas, or all of it if no `header` is shown.
  `EventCanvas`
  `setShowContextButton(Boolean showContextButton)`
  When set to true, shows a `small icon` in the top corner of an EventCanvas, beside the `close-icon`.
  `EventCanvas`
  `setShowGripper(Boolean showGripper)`
  When set to true, shows the `gripper` component, which snaps, centered, to the top edge of the eventCanvas and can be used to move it with the mouse.
  `EventCanvas`
  `setShowHeader(Boolean showHeader)`
  Renders a header DIV above the main body of the event, an area of limited height, styled to stand out from the main `body` of the event, and typically showing a `name` or title - like a Window.
  `EventCanvas`
  `setShowLabel(Boolean showLabel)`
  When set to true, the `header text` for the associated event is not rendered inside the eventCanvas itself.
  `EventCanvas`
  `setShowRolloverControls(Boolean showRolloverControls)`
  When set to the default value of true, this attribute causes a set of components to be shown when the mouse rolls over this EventCanvas.
  `void`
  `setStyleName(String styleName)`
  The CSS class for this EventCanvas.
  `EventCanvas`
  `setVerticalResize(Boolean verticalResize)`
  Indicates the orientation of the event in its containing view.

  ### Methods inherited from class com.smartgwt.client.widgets.layout.VLayout

  `setDefaultProperties, setLogicalStructure`

  ### Methods inherited from class com.smartgwt.client.widgets.layout.Layout

  `addMember, addMember, addMember, addMember, addMemberPostCreate, addMemberPostCreate, addMemberPreCreate, addMemberPreCreate, addMembers, addMembers, addMembersChangedHandler, getAnimateMembers, getAnimateMemberTime, getCanDropComponents, getChildTabPosition, getDefaultResizeBars, getDropComponent, getDropLine, getDropLineThickness, getDropPosition, getEditProxyConstructor, getEnforcePolicy, getHPolicy, getLayoutBottomMargin, getLayoutEndMargin, getLayoutLeftMargin, getLayoutMargin, getLayoutRightMargin, getLayoutStartMargin, getLayoutTopMargin, getLeaveScrollbarGap, getLocateMembersBy, getLocateMembersType, getManagePercentBreadth, getMember, getMember, getMemberDefaultBreadth, getMemberNumber, getMemberNumber, getMemberOverlap, getMembers, getMembersAsStringArray, getMembersLength, getMembersMargin, getMinMemberLength, getMinMemberSize, getOverflow, getPaddingAsLayoutMargin, getResizeBar, getResizeBarClass, getResizeBarSize, getReverseOrder, getShowDragPlaceHolder, getShowDropLines, getStackZIndex, getVertical, getVPolicy, hasMember, hideDropLine, hideMember, hideMember, layoutIsDirty, onInit, onInit_Layout, reflow, reflow, reflowNow, removeMember, removeMembers, removeMembers, reorderMember, reorderMembers, replaceMember, revealChild, revealChild, setAlign, setAlign, setAnimateMembers, setAnimateMemberTime, setCanDropComponents, setDefaultLayoutAlign, setDefaultLayoutAlign, setDefaultProperties, setDefaultResizeBars, setDropLineProperties, setDropLineThickness, setEditProxyConstructor, setEnforcePolicy, setHPolicy, setLayoutBottomMargin, setLayoutEndMargin, setLayoutLeftMargin, setLayoutMargin, setLayoutRightMargin, setLayoutStartMargin, setLayoutTopMargin, setLeaveScrollbarGap, setLocateMembersBy, setLocateMembersType, setLogicalStructure, setManagePercentBreadth, setMemberOverlap, setMembers, setMembers, setMembersMargin, setMinBreadthMember, setMinBreadthMember, setMinBreadthMember, setMinMemberLength, setMinMemberSize, setOverflow, setPaddingAsLayoutMargin, setPlaceHolderDefaults, setPlaceHolderProperties, setResizeBarClass, setResizeBarSize, setReverseOrder, setShowDragPlaceHolder, setShowDropLines, setStackZIndex, setVertical, setVisibleMember, setVPolicy, showMember, showMember`

  ### Methods inherited from class com.smartgwt.client.widgets.Canvas

  `addChild, addChild, addChild, addChild, addChild, addClearHandler, addClickHandler, addDoubleClickHandler, addDragMoveHandler, addDragRepositionMoveHandler, addDragRepositionStartHandler, addDragRepositionStopHandler, addDragResizeMoveHandler, addDragResizeStartHandler, addDragResizeStopHandler, addDragStartHandler, addDragStopHandler, addDropHandler, addDropMoveHandler, addDropOutHandler, addDropOverHandler, addFocusChangedHandler, addHoverHandler, addHoverHiddenHandler, addKeyDownHandler, addKeyPressHandler, addMouseDownHandler, addMouseMoveHandler, addMouseOutHandler, addMouseOverHandler, addMouseStillDownHandler, addMouseUpHandler, addMouseWheelHandler, addMovedHandler, addParentMovedHandler, addPeer, addPeer, addPeer, addPeer, addResizedHandler, addRightMouseDownHandler, addRuleContextChangedHandler, addScrolledHandler, addShowContextMenuHandler, addSnapAlignCandidate, addStyleName, addVisibilityChangedHandler, adjustForContent, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateMove, animateMove, animateMove, animateMove, animateRect, animateRect, animateRect, animateRect, animateResize, animateResize, animateResize, animateResize, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, asSGWTComponent, blur, bringToFront, clear, clearExplicitTabIndex, clickMaskUp, clickMaskUp, contains, contains, containsEvent, containsEventTarget, containsFocus, containsPoint, containsPoint, contentsComponentConnected, dataContextChanged, dataContextCriteriaChanged, deparent, depeer, disable, doValueDictation, doVoiceCommand, enable, encloses, endBatchCreation, focus, focusAfterGroup, focusAtEnd, focusInNextTabElement, focusInPreviousTabElement, getAbsoluteLeft, getAbsoluteTop, getAccessKey, getAdaptiveHeightPriority, getAdaptiveWidthPriority, getAllCanvases, getAllCanvases, getAllCanvases, getAlwaysManageFocusNavigation, getAlwaysShowScrollbars, getAnimateAcceleration, getAnimateFadeTime, getAnimateHideAcceleration, getAnimateHideEffect, getAnimateHideTime, getAnimateMoveAcceleration, getAnimateMoveTime, getAnimateRectAcceleration, getAnimateRectTime, getAnimateResizeAcceleration, getAnimateResizeLayoutMode, getAnimateResizeTime, getAnimateScrollAcceleration, getAnimateScrollTime, getAnimateShowAcceleration, getAnimateShowEffect, getAnimateShowTime, getAnimateTime, getAppImgDir, getAriaHandleID, getAriaRole, getAriaStateDefaults, getAutoMaskComponents, getAutoParent, getAutoPopulateData, getAutoRevertStyles, getAutoShowParent, getBackgroundColor, getBackgroundImage, getBackgroundPosition, getBackgroundRepeat, getBorder, getBorderRadius, getBottom, getById, getByJSObject, getByLocalId, getCanAcceptDrop, getCanAdaptHeight, getCanAdaptWidth, getCanDrag, getCanDragReposition, getCanDragResize, getCanDragScroll, getCanDrop, getCanDropBefore, getCanDropContent, getCanDropFiles, getCanFocus, getCanHover, getCanSelectText, getCanvasAutoChild, getCanvasItem, getChildren, getChildrenAsStringArray, getChildrenResizeSnapAlign, getChildrenSnapAlign, getChildrenSnapCenterAlign, getChildrenSnapEdgeAlign, getChildrenSnapResizeToGrid, getChildrenSnapToGrid, getClassName, getComponentMask, getComponentMaskDefaults, getContentElement, getContents, getContentsComponentDefaults, getContextMenu, getControlHeight, getCorrectZoomOverflow, getCursor, getDataContext, getDataContextCriteria, getDataContextCriteria, getDataPath, getDefaultHeight, getDefaultWidth, getDeferActionConversion, getDefiningProperty, getDefiningPropertyName, getDefiningPropertyNameOptions, getDestroyed, getDestroying, getDisabled, getDisabledCursor, getDisableTouchScrollingForDrag, getDoubleClickDelay, getDragAppearance, getDragIntersectStyle, getDragMaskType, getDragMaxHeight, getDragMaxWidth, getDragMinHeight, getDragMinWidth, getDragOpacity, getDragRepositionAppearance, getDragRepositionCursor, getDragResizeAppearance, getDragScrollDelay, getDragStartDistance, getDragTarget, getDragTargetAsString, getDragType, getDropTarget, getDropTargetAsString, getDropTypes, getDropTypesAsString, getDynamicContents, getEdgeBackgroundColor, getEdgeCenterBackgroundColor, getEdgeImage, getEdgeMarginSize, getEdgeOffset, getEdgeOpacity, getEdgeShowCenter, getEdgeSize, getEditNode, getEditProxy, getElement, getElement, getEnableWhen, getEndLine, getEventEdge, getEventEdge, getEvents, getExtraSpace, getFacetId, getFloatingScrollbars, getFormItemAutoChild, getForwardSVGeventsToObject, getFullDataPath, getGroupBorderCSS, getGroupLabelBackgroundColor, getGroupLabelStyleName, getGroupPadding, getGroupTitle, getHeight, getHeightAsString, getHideUsingDisplayNone, getHoverAlign, getHoverAutoDestroy, getHoverAutoFitMaxWidth, getHoverAutoFitMaxWidthAsString, getHoverAutoFitWidth, getHoverComponent, getHoverDelay, getHoverFocusKey, getHoverHeight, getHoverHTML, getHoverMoveWithMouse, getHoverOpacity, getHoverPersist, getHoverScreen, getHoverStyle, getHoverVAlign, getHoverWidth, getHoverWrap, getHSnapPosition, getHSnapPosition, getHtmlElement, getHtmlElementAsString, getHtmlPosition, getImage, getImgURL, getImgURL, getInnerContentHeight, getInnerContentWidth, getInnerHeight, getInnerWidth, getIsGroup, getIsPrinting, getIsRuleScope, getIsSnapAlignCandidate, getKeepInParentRect, getLayoutAlign, getLeaveGroupLabelSpace, getLeavePageSpace, getLeft, getLeftAsString, getLocalId, getLocateByIDOnly, getLocateChildrenBy, getLocateChildrenType, getLocatePeersBy, getLocatePeersType, getLocatorName, getMargin, getMasterCanvas, getMasterElement, getMatchElement, getMatchElementHeight, getMatchElementWidth, getMaxHeight, getMaxWidth, getMaxZoomOverflowError, getMenuConstructor, getMinHeight, getMinNonEdgeSize, getMinWidth, getMomentumScrollMinSpeed, getMouseStillDownDelay, getMouseStillDownInitialDelay, getName, getNativeAutoHideScrollbars, getNextZIndex, getNoDoubleClicks, getNoDropCursor, getOffsetHeight, getOffsetWidth, getOffsetX, getOffsetY, getOpacity, getOuterElement, getPadding, getPageBottom, getPageLeft, getPageRect, getPageRight, getPageTop, getPaletteDefaults, getPanelContainer, getParentCanvas, getParentCanvasAsString, getParentElement, getParentElementAsString, getPeers, getPendingMarkerStyle, getPendingMarkerVisible, getPercentBox, getPercentSource, getPersistentMatchElement, getPointerSettings, getPointerTarget, getPointerTargetAsString, getPosition, getPrefix, getPrintChildrenAbsolutelyPositioned, getPrintHTML, getPrintHTML, getPrintStyleName, getPrompt, getProportionalResizeModifiers, getProportionalResizing, getReceiveScrollbarEvents, getRect, getRedrawOnResize, getResizeBarTarget, getResizeFrom, getRight, getRuleContext, getRuleContext, getRuleScope, getScrollbarSize, getScrollBottom, getScrollHeight, getScrollLeft, getScrollRight, getScrollTop, getScrollWidth, getShadowColor, getShadowDepth, getShadowHOffset, getShadowImage, getShadowOffset, getShadowSoftness, getShadowSpread, getShadowVOffset, getShareCriteria, getShouldPrint, getShowCustomScrollbars, getShowDragShadow, getShowEdges, getShowFocusOutline, getShowHover, getShowHoverComponents, getShowPointer, getShowResizeBar, getShowShadow, getShowSnapGrid, getShrinkElementOnHide, getSingleDiv, getSizeMayChangeOnRedraw, getSkinImgDir, getSnapAlignCandidates, getSnapAlignCenterLineStyle, getSnapAlignEdgeLineStyle, getSnapAxis, getSnapEdge, getSnapGridLineProperties, getSnapGridStyle, getSnapHDirection, getSnapHGap, getSnapOffsetLeft, getSnapOffsetTop, getSnapOnDrop, getSnapPosition, getSnapPosition, getSnapResizeToAlign, getSnapResizeToGrid, getSnapTo, getSnapToAlign, getSnapToCenterAlign, getSnapToEdgeAlign, getSnapToGrid, getSnapVDirection, getSnapVGap, getStartLine, getSuppressRedraw, getTabIndex, getTestDataContext, getTestInstance, getTitle, getTooltip, getTop, getTopAsString, getTopElement, getTopLevelComponents, getUpdateTabPositionOnDraw, getUpdateTabPositionOnReparent, getUseBackMask, getUseCSSShadow, getUseDataContextCriteria, getUseDragMask, getUseGeneratedStyles, getUseImageForSVG, getUseNativeDrag, getUseOpacityFilter, getUseTouchScrolling, getValuesManager, getValuesManagerAsString, getViewportHeight, getViewportWidth, getVisibility, getVisibleHeight, getVisibleWhen, getVisibleWidth, getVSnapPosition, getVSnapPosition, getWidth, getWidthAsString, getWorkflows, getZIndex, getZIndex, handleDataContextCriteria, handleHover, hide, hideClickMask, hideClickMask, hideComponentMask, hideComponentMask, hideContextMenu, imgHTML, imgHTML, imgHTML, initComplete, intersects, isDirty, isDisabled, isFocused, isVisible, keyUp, layoutChildren, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, markForDestroy, markForRedraw, markForRedraw, moveAbove, moveBelow, moveBy, moveTo, onAttach, onDetach, pageScrollDown, pageScrollUp, parentResized, placeNear, placeNear, placeNear, print, print, print, print, printComponents, provideRuleContext, provideRuleContext, redraw, redraw, registerAIService, registerFontScaledPaddingStyles, removeChild, removeChild, removePeer, removePeer, removeRuleContext, removeSnapAlignCandidate, resizeAutoChildAttributes, resizeBy, resizeControls, resizeControlsTo, resizeFonts, resizeFonts, resizeFonts, resizeFontsTo, resizeIcons, resizePadding, resizePadding, resizeTo, resizeTo, resolveContentsComponent, scrollBy, scrollByPercent, scrollTo, scrollTo, scrollTo, scrollTo, scrollTo, scrollToBottom, scrollToLeft, scrollToPercent, scrollToRight, scrollToTop, sendToBack, setAccessKey, setAdaptHeightByCustomizer, setAdaptiveHeightPriority, setAdaptiveWidthPriority, setAdaptWidthByCustomizer, setAllowExternalFilters, setAlwaysManageFocusNavigation, setAlwaysShowScrollbars, setAnimateAcceleration, setAnimateFadeTime, setAnimateHideAcceleration, setAnimateHideEffect, setAnimateHideTime, setAnimateMoveAcceleration, setAnimateMoveTime, setAnimateRectAcceleration, setAnimateRectTime, setAnimateResizeAcceleration, setAnimateResizeLayoutMode, setAnimateResizeTime, setAnimateScrollAcceleration, setAnimateScrollTime, setAnimateShowAcceleration, setAnimateShowEffect, setAnimateShowTime, setAnimateTime, setAppImgDir, setAriaRole, setAriaState, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoHeight, setAutoMaskComponents, setAutoParent, setAutoPopulateData, setAutoResizeAutoChildAttributes, setAutoResizeIcons, setAutoRevertStyles, setAutoShowParent, setAutoWidth, setBackgroundColor, setBackgroundImage, setBackgroundPosition, setBackgroundRepeat, setBorder, setBorderRadius, setBottom, setCanAcceptDrop, setCanAdaptHeight, setCanAdaptWidth, setCanDrag, setCanDragReposition, setCanDragResize, setCanDragScroll, setCanDrop, setCanDropBefore, setCanDropContent, setCanDropFiles, setCanFocus, setCanHover, setCanSelectText, setChildren, setChildrenResizeSnapAlign, setChildrenSnapAlign, setChildrenSnapCenterAlign, setChildrenSnapEdgeAlign, setChildrenSnapResizeToGrid, setChildrenSnapToGrid, setComponentMaskDefaults, setContents, setContentsComponentDefaults, setContextMenu, setCorrectZoomOverflow, setCursor, setDataContext, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataPath, setDefaultHeight, setDefaultNativeAutoHideScrollbars, setDefaultPageSpace, setDefaultProperties, setDefaultShowCustomScrollbars, setDefaultWidth, setDeferActionConversion, setDefiningProperty, setDefiningPropertyNameOptions, setDisabled, setDisabledCursor, setDisableTouchScrollingForDrag, setDoubleClickDelay, setDragAppearance, setDragIntersectStyle, setDragMaskType, setDragMaxHeight, setDragMaxWidth, setDragMinHeight, setDragMinWidth, setDragOpacity, setDragRepositionAppearance, setDragRepositionCursor, setDragResizeAppearance, setDragScrollDelay, setDragStartDistance, setDragTarget, setDragTarget, setDragType, setDropTarget, setDropTarget, setDropTypes, setDropTypes, setDynamicContents, setEdgeBackgroundColor, setEdgeCenterBackgroundColor, setEdgeImage, setEdgeMarginSize, setEdgeOffset, setEdgeOpacity, setEdgeShowCenter, setEdgeSize, setEditMode, setEditMode, setEditMode, setElement, setEnableWhen, setEndLine, setExtraSpace, setFacetId, setFloatingScrollbars, setForwardSVGeventsToObject, setGroupBorderCSS, setGroupLabelBackgroundColor, setGroupLabelStyleName, setGroupPadding, setGroupTitle, setHeight, setHeight, setHeight, setHeight100, setHideUsingDisplayNone, setHoverAlign, setHoverAutoDestroy, setHoverAutoFitMaxWidth, setHoverAutoFitMaxWidth, setHoverAutoFitWidth, setHoverDelay, setHoverFocusKey, setHoverHeight, setHoverMoveWithMouse, setHoverOpacity, setHoverPersist, setHoverScreen, setHoverStyle, setHoverVAlign, setHoverWidth, setHoverWrap, setHtmlElement, setHtmlElement, setHtmlPosition, setImage, setImage, setInitHandler, setIsGroup, setIsRuleScope, setIsSnapAlignCandidate, setKeepInParentRect, setKeepInParentRect, setKeepInParentRect, setLayoutAlign, setLayoutAlign, setLeaveGroupLabelSpace, setLeavePageSpace, setLeft, setLeft, setLocateByIDOnly, setLocateChildrenBy, setLocateChildrenType, setLocatePeersBy, setLocatePeersType, setLocatorName, setLocatorParent, setLocatorParent, setLogicalStructure, setMargin, setMatchElement, setMatchElementHeight, setMatchElementWidth, setMaxHeight, setMaxWidth, setMaxZoomOverflowError, setMenuConstructor, setMinHeight, setMinNonEdgeSize, setMinWidth, setMomentumScrollMinSpeed, setMouseStillDownDelay, setMouseStillDownInitialDelay, setName, setNativeAutoHideScrollbars, setNeverUseFilters, setNoDoubleClicks, setNoDropCursor, setOpacity, setPadding, setPageLeft, setPageTop, setPanelContainer, setParentCanvas, setParentCanvas, setParentElement, setParentElement, setPeers, setPendingMarkerStyle, setPendingMarkerVisible, setPercentBox, setPercentSource, setPersistentMatchElement, setPointerSettings, setPointerTarget, setPosition, setPrefix, setPrintChildrenAbsolutelyPositioned, setPrintStyleName, setPrompt, setProportionalResizeModifiers, setProportionalResizing, setReceiveScrollbarEvents, setRect, setRect, setRedrawOnResize, setRelativeTabPosition, setResizeBarTarget, setResizeFrom, setResizeFrom, setRight, setRuleScope, setScrollbarConstructor, setScrollbarSize, setShadowColor, setShadowDepth, setShadowHOffset, setShadowImage, setShadowOffset, setShadowSoftness, setShadowSpread, setShadowVOffset, setShareCriteria, setShouldPrint, setShowCustomScrollbars, setShowDragShadow, setShowEdges, setShowFocusOutline, setShowHover, setShowHoverComponents, setShowPointer, setShowResizeBar, setShowShadow, setShowSnapGrid, setShrinkElementOnHide, setSingleDiv, setSizeMayChangeOnRedraw, setSkinImgDir, setSmoothFade, setSnapAlignCandidates, setSnapAlignCenterLineStyle, setSnapAlignEdgeLineStyle, setSnapAxis, setSnapEdge, setSnapGridLineProperties, setSnapGridStyle, setSnapHDirection, setSnapHGap, setSnapOffsetLeft, setSnapOffsetTop, setSnapOnDrop, setSnapResizeToAlign, setSnapResizeToGrid, setSnapTo, setSnapToAlign, setSnapToCenterAlign, setSnapToEdgeAlign, setSnapToGrid, setSnapVDirection, setSnapVGap, setStartLine, setSuppressRedraw, setTabIndex, setTestDataContext, setTitle, setTooltip, setTop, setTop, setUpdateTabPositionOnDraw, setUpdateTabPositionOnReparent, setUseBackMask, setUseCSSShadow, setUseDataContextCriteria, setUseDragMask, setUseGeneratedStyles, setUseImageForSVG, setUseNativeDrag, setUseOpacityFilter, setUseTouchScrolling, setValuesManager, setValuesManager, setVisibility, setVisible, setVisibleWhen, setWidth, setWidth, setWidth, setWidth100, setWorkflows, setZIndex, shouldDragScroll, show, showClickMask, showComponentMask, showComponentMask, showNextTo, showNextTo, showNextTo, showNextTo, showPendingMarker, showPrintPreview, showPrintPreview, showPrintPreview, showPrintPreview, showRecursively, startBatchCreation, startDebuggingOverflow, stopDebuggingOverflow, subtractRects, supportsValueDictation, supportsVoiceCommands, unregisterAIService, updateChildTabPosition, updateChildTabPositions, updateEditNode, updateHover, updateHover, updateShadow, updateTabPositionForDraw, visibleAtPoint, willAcceptDrop`

  ### Methods inherited from class com.smartgwt.client.widgets.BaseWidget

  `addDrawHandler, addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, clearDynamicProperty, completeCreation, destroy, doAddHandler, doInit, doOnRender, draw, equals, error, errorIfNotCreated, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDateArray, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsFloatArray, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAutoDraw, getConfig, getDOM, getHandlerCount, getID, getInnerHTML, getJsObj, getOrCreateJsObj, getRef, getScClassName, hasAutoAssignedID, hasDynamicProperty, hashCode, initNativeObject, internalSetID, internalSetID, isConfigOnly, isCreated, isDrawn, isFactoryCreated, onBind, onDestroy, onDraw, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoDraw, setConfig, setConfigOnly, setDefaultProperties, setDragTracker, setFactoryCreated, setID, setJavaScriptObject, setLogicalStructure, setLogicalStructure, setNullProperty, setPosition, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setScClassName, toString`

  ### Methods inherited from class com.google.gwt.user.client.ui.Widget

  `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getLayoutData, getParent, isAttached, isOrWasAttached, onBrowserEvent, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

  ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

  `addStyleDependentName, ensureDebugId, ensureDebugId, ensureDebugId, getStyleElement, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

  `fireEvent`

- ## Constructor Details

  - ### EventCanvas

    public EventCanvas()

  - ### EventCanvas

    public EventCanvas(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static EventCanvas getOrCreateRef(JavaScriptObject jsObj)

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, Canvas defaults)
    Changes the defaults for Canvas AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, FormItem defaults)
    Changes the defaults for FormItem AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### create

    protected JavaScriptObject create()
    Overrides:
      `create` in class `VLayout`

  - ### setBodyStyle

    public EventCanvas setBodyStyle(String bodyStyle)
    CSS class for the `body area` of the EventCanvas. If unset, defaults to the `base styleName` with the suffix "Body".
    Parameters:
      `bodyStyle` - New bodyStyle value. Default value is null
    Returns:
      `EventCanvas` instance, for chaining setter calls
    See Also:
      - `CSSStyleName`
      - `Appearance overview and related methods`

  - ### getBodyStyle

    public String getBodyStyle()
    CSS class for the `body area` of the EventCanvas. If unset, defaults to the `base styleName` with the suffix "Body".
    Returns:
      Current bodyStyle value. Default value is null
    See Also:
      - `CSSStyleName`
      - `Appearance overview and related methods`

  - ### setCalendar

    public EventCanvas setCalendar(Calendar calendar) throws IllegalStateException
    The `Calendar` in which this EventCanvas is being rendered.
    Parameters:
      `calendar` - New calendar value. Default value is null
    Returns:
      `EventCanvas` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getCalendar

    public Calendar getCalendar()
    The `Calendar` in which this EventCanvas is being rendered.
    Returns:
      Current calendar value. Default value is null

  - ### setCalendarView

    public EventCanvas setCalendarView(CalendarView calendarView) throws IllegalStateException
    The `CalendarView` in which this EventCanvas is being rendered.
    Parameters:
      `calendarView` - New calendarView value. Default value is null
    Returns:
      `EventCanvas` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getCalendarView

    public CalendarView getCalendarView()
    The `CalendarView` in which this EventCanvas is being rendered.
    Returns:
      Current calendarView value. Default value is null

  - ### setEscapeHTML

    public EventCanvas setEscapeHTML(Boolean escapeHTML)
    When set to true, escapes the HTML displayed in this EventCanvas and it's hover.
    Parameters:
      `escapeHTML` - New escapeHTML value. Default value is null
    Returns:
      `EventCanvas` instance, for chaining setter calls

  - ### getEscapeHTML

    public Boolean getEscapeHTML()
    When set to true, escapes the HTML displayed in this EventCanvas and it's hover.
    Returns:
      Current escapeHTML value. Default value is null

  - ### setEvent

    public EventCanvas setEvent(CalendarEvent event) throws IllegalStateException
    The `event` associated with this EventCanvas.
    If this method is called after the component has been drawn/initialized: Assigns a new `event` to this EventCanvas, including updates to drag, style and `rollover` properties.
    Parameters:
      `event` - the new event to apply to this EventCanvas. Default value is null
    Returns:
      `EventCanvas` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getEvent

    public CalendarEvent getEvent()
    The `event` associated with this EventCanvas.
    Returns:
      Current event value. Default value is null

  - ### getGripper

    public Img getGripper() throws IllegalStateException
    When `showGripper` is true, this is the component that will be rendered adjacent to the canvas and allow the canvas to be moved with the mouse.

    This component is an AutoChild named "gripper". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

    Returns:
      Current gripper value. Default value is null
    Throws:
      `IllegalStateException` - if this widget has not yet been rendered.

  - ### setGripperIcon

    public EventCanvas setGripperIcon(String gripperIcon)
    The source for the icon displayed as the "gripper" that snaps to the top of an event canvas and allows an event to be dragged with the mouse.
    Parameters:
      `gripperIcon` - New gripperIcon value. Default value is null
    Returns:
      `EventCanvas` instance, for chaining setter calls
    See Also:
      - `SCImgURL`

  - ### getGripperIcon

    public String getGripperIcon()
    The source for the icon displayed as the "gripper" that snaps to the top of an event canvas and allows an event to be dragged with the mouse.
    Returns:
      Current gripperIcon value. Default value is null
    See Also:
      - `SCImgURL`

  - ### setHeaderHeight

    public EventCanvas setHeaderHeight(Integer headerHeight)
    The height for the `header area`, when `headerWrap` is false and `showBody` is true. If `showBody` is false, the header area fills the canvas.
    Parameters:
      `headerHeight` - New headerHeight value. Default value is null
    Returns:
      `EventCanvas` instance, for chaining setter calls
    See Also:
      - `Appearance overview and related methods`

  - ### getHeaderHeight

    public Integer getHeaderHeight()
    The height for the `header area`, when `headerWrap` is false and `showBody` is true. If `showBody` is false, the header area fills the canvas.
    Returns:
      Current headerHeight value. Default value is null
    See Also:
      - `Appearance overview and related methods`

  - ### setHeaderStyle

    public EventCanvas setHeaderStyle(String headerStyle)
    CSS class for the `header area` of the EventCanvas. If unset, defaults to the `base styleName` with the suffix "Header".
    Parameters:
      `headerStyle` - New headerStyle value. Default value is null
    Returns:
      `EventCanvas` instance, for chaining setter calls
    See Also:
      - `CSSStyleName`
      - `Appearance overview and related methods`

  - ### getHeaderStyle

    public String getHeaderStyle()
    CSS class for the `header area` of the EventCanvas. If unset, defaults to the `base styleName` with the suffix "Header".
    Returns:
      Current headerStyle value. Default value is null
    See Also:
      - `CSSStyleName`
      - `Appearance overview and related methods`

  - ### setHeaderWrap

    public EventCanvas setHeaderWrap(Boolean headerWrap)
    Whether the `header area` should autosize vertically to display all contents. If true, the header will wrap to multiple lines. If false, the header will be sized according to the specified `height`, or to the full height of the canvas is `showBody` is false.
    Parameters:
      `headerWrap` - New headerWrap value. Default value is null
    Returns:
      `EventCanvas` instance, for chaining setter calls
    See Also:
      - `Appearance overview and related methods`

  - ### getHeaderWrap

    public Boolean getHeaderWrap()
    Whether the `header area` should autosize vertically to display all contents. If true, the header will wrap to multiple lines. If false, the header will be sized according to the specified `height`, or to the full height of the canvas is `showBody` is false.
    Returns:
      Current headerWrap value. Default value is null
    See Also:
      - `Appearance overview and related methods`

  - ### getIsIndicatorCanvas

    public boolean getIsIndicatorCanvas() throws IllegalStateException
    Readonly property dictating whether this is a special `IndicatorCanvas` subclass.

    Note : This method should be called only after the widget has been rendered.

    Returns:
      Current isIndicatorCanvas value. Default value is false
    Throws:
      `IllegalStateException` - if this widget has not yet been rendered.

  - ### getIsZoneCanvas

    public boolean getIsZoneCanvas() throws IllegalStateException
    Readonly property indicating whether this is a special `ZoneCanvas` subclass.

    Note : This method should be called only after the widget has been rendered.

    Returns:
      Current isZoneCanvas value. Default value is false
    Throws:
      `IllegalStateException` - if this widget has not yet been rendered.

  - ### getLabel

    public Label getLabel() throws IllegalStateException
    When `showLabel` is true, this autoChild is used to display the `header text`, adjacent to this eventCanvas.

    This component is an AutoChild named "label". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

    Returns:
      Current label value. Default value is null
    Throws:
      `IllegalStateException` - if this widget has not yet been rendered.

  - ### setShowBody

    public EventCanvas setShowBody(Boolean showBody)
    Renders a body DIV that fills the main area of the canvas, or all of it if no `header` is shown. This area typically displays an `event description`. This area can be styled via `bodyStyle` and the HTML it shows is retrieved from a call to `getBodyHTML()`. The default is taken from `Calendar.showEventDescriptions`.
    Parameters:
      `showBody` - New showBody value. Default value is null
    Returns:
      `EventCanvas` instance, for chaining setter calls

  - ### getShowBody

    public Boolean getShowBody()
    Renders a body DIV that fills the main area of the canvas, or all of it if no `header` is shown. This area typically displays an `event description`. This area can be styled via `bodyStyle` and the HTML it shows is retrieved from a call to `getBodyHTML()`. The default is taken from `Calendar.showEventDescriptions`.
    Returns:
      Current showBody value. Default value is null

  - ### setShowContextButton

    public EventCanvas setShowContextButton(Boolean showContextButton)
    When set to true, shows a `small icon` in the top corner of an EventCanvas, beside the `close-icon`. When clicked, shows a `context menu` containing items applicable to this canvas.
    Parameters:
      `showContextButton` - New showContextButton value. Default value is false
    Returns:
      `EventCanvas` instance, for chaining setter calls

  - ### getShowContextButton

    public Boolean getShowContextButton()
    When set to true, shows a `small icon` in the top corner of an EventCanvas, beside the `close-icon`. When clicked, shows a `context menu` containing items applicable to this canvas.
    Returns:
      Current showContextButton value. Default value is false

  - ### setShowGripper

    public EventCanvas setShowGripper(Boolean showGripper)
    When set to true, shows the `gripper` component, which snaps, centered, to the top edge of the eventCanvas and can be used to move it with the mouse.
    Parameters:
      `showGripper` - New showGripper value. Default value is null
    Returns:
      `EventCanvas` instance, for chaining setter calls

  - ### getShowGripper

    public Boolean getShowGripper()
    When set to true, shows the `gripper` component, which snaps, centered, to the top edge of the eventCanvas and can be used to move it with the mouse.
    Returns:
      Current showGripper value. Default value is null

  - ### setShowHeader

    public EventCanvas setShowHeader(Boolean showHeader)
    Renders a header DIV above the main body of the event, an area of limited height, styled to stand out from the main `body` of the event, and typically showing a `name` or title - like a Window. This header area can be styled via `headerStyle` and the HTML it shows is retrieved from a call to `getHeaderHTML()`. The default is taken from `Calendar.showEventHeaders`.
    Parameters:
      `showHeader` - New showHeader value. Default value is null
    Returns:
      `EventCanvas` instance, for chaining setter calls

  - ### getShowHeader

    public Boolean getShowHeader()
    Renders a header DIV above the main body of the event, an area of limited height, styled to stand out from the main `body` of the event, and typically showing a `name` or title - like a Window. This header area can be styled via `headerStyle` and the HTML it shows is retrieved from a call to `getHeaderHTML()`. The default is taken from `Calendar.showEventHeaders`.
    Returns:
      Current showHeader value. Default value is null

  - ### setShowLabel

    public EventCanvas setShowLabel(Boolean showLabel)
    When set to true, the `header text` for the associated event is not rendered inside the eventCanvas itself.

    Instead, it is rendered in it's own `label` and shown as a peer of this eventCanvas, immediately outside of it.

    Parameters:
      `showLabel` - New showLabel value. Default value is null
    Returns:
      `EventCanvas` instance, for chaining setter calls

  - ### getShowLabel

    public Boolean getShowLabel()
    When set to true, the `header text` for the associated event is not rendered inside the eventCanvas itself.

    Instead, it is rendered in it's own `label` and shown as a peer of this eventCanvas, immediately outside of it.

    Returns:
      Current showLabel value. Default value is null

  - ### setShowRolloverControls

    public EventCanvas setShowRolloverControls(Boolean showRolloverControls)
    When set to the default value of true, this attribute causes a set of components to be shown when the mouse rolls over this EventCanvas. These components include the `close` and `context` buttons, the latter's `context menu` and the images used for drag-resizing.

    Using rollover controls is more efficient that showing static buttons in each eventCanvas, so this is the default behavior. See `Calendar.useEventCanvasRolloverControls` for the alternative.

    Parameters:
      `showRolloverControls` - New showRolloverControls value. Default value is true
    Returns:
      `EventCanvas` instance, for chaining setter calls

  - ### getShowRolloverControls

    public Boolean getShowRolloverControls()
    When set to the default value of true, this attribute causes a set of components to be shown when the mouse rolls over this EventCanvas. These components include the `close` and `context` buttons, the latter's `context menu` and the images used for drag-resizing.

    Using rollover controls is more efficient that showing static buttons in each eventCanvas, so this is the default behavior. See `Calendar.useEventCanvasRolloverControls` for the alternative.

    Returns:
      Current showRolloverControls value. Default value is true

  - ### setStyleName

    public void setStyleName(String styleName)
    The CSS class for this EventCanvas. Defaults to the style on `eventCanvas.event`, if specified, or on the `calendar` otherwise.

    Also see `headerStyle` and `bodyStyle`.

    Overrides:
      `setStyleName` in class `Canvas`
    Parameters:
      `styleName` - New styleName value. Default value is null
    See Also:
      - `CSSStyleName`
      - `Appearance overview and related methods`

  - ### getStyleName

    public String getStyleName()
    The CSS class for this EventCanvas. Defaults to the style on `eventCanvas.event`, if specified, or on the `calendar` otherwise.

    Also see `headerStyle` and `bodyStyle`.

    Overrides:
      `getStyleName` in class `Canvas`
    Returns:
      Current styleName value. Default value is null
    See Also:
      - `CSSStyleName`
      - `Appearance overview and related methods`

  - ### setVerticalResize

    public EventCanvas setVerticalResize(Boolean verticalResize)
    Indicates the orientation of the event in its containing view. Affects drag and resize orientation and which edges of the canvas are available for resizing.
    Parameters:
      `verticalResize` - New verticalResize value. Default value is null
    Returns:
      `EventCanvas` instance, for chaining setter calls

  - ### getVerticalResize

    public Boolean getVerticalResize()
    Indicates the orientation of the event in its containing view. Affects drag and resize orientation and which edges of the canvas are available for resizing.
    Returns:
      Current verticalResize value. Default value is null

  - ### getBodyHTML

    public String getBodyHTML()
    Return the HTML to show in the body of this EventCanvas. The default implementation calls `Calendar.getEventBodyHTML()`, which returns the value of the `description field` for the current `event`.
    Returns:
      HTML to display in the body of the canvas. See `HTMLString`
    See Also:
      - `Appearance overview and related methods`

  - ### getHeaderHTML

    public String getHeaderHTML()
    Returns the HTML to show in the header of this EventCanvas. The default implementation returns the `name` of the current `event`.
    Returns:
      HTML to display in the header of the canvas. See `HTMLString`
    See Also:
      - `Appearance overview and related methods`

  - ### setDefaultProperties

    public static void setDefaultProperties(EventCanvas eventCanvasProperties)
    Class level method to set the default properties of this class. If set, then all existing and subsequently created instances of this class will automatically have default properties corresponding to the properties set on the SmartGWT class instance passed to this function before its underlying SmartClient JS object was created. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

    Note: This method is intended for setting default attributes only and will affect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead. Calling this method after instances have been created can result in undefined behavior, since it bypasses any setters and a class instance may have already examined a particular property and not be expecting any changes through this route.

    Parameters:
      `eventCanvasProperties` - properties that should be used as new defaults when instances of this class are created
    See Also:
      - `SGWTProperties`

  - ### setLogicalStructure

    public LogicalStructureObject setLogicalStructure(EventCanvasLogicalStructure s)
    Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.

  - ### getLogicalStructure

    public LogicalStructureObject getLogicalStructure()
    Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
    Specified by:
      `getLogicalStructure` in interface `LogicalStructure`
    Overrides:
      `getLogicalStructure` in class `VLayout`